package guanlixitong

import (
	"shylinux.com/x/ice"

	"shylinux.com/x/enterprise/src/guanlixitong/model"
)

type groupUser struct {
	portal    portal
	userGroup userGroup
	list      string `name:"list group_uid uid auto" help:"团队成员" icon:"https://img.icons8.com/officel/80/crowd.png" role:"void"`
}

func (s groupUser) Init(m *ice.Message, arg ...string) {
	s.portal.Show(m, model.ROLE, "creator,leader")
}
func (s groupUser) List(m *ice.Message, arg ...string) {
	m.Cmdy(s.userGroup, s.userGroup.User, arg).Display("")
}

func init() { ice.TeamCtxCmd(groupUser{}) }
